Subject: Reference to a commit inside a commit message

From: [email-masked]
Date: Mon, 28 Apr 2014 20:35:52 +0200

Hi to all, I'm trying to figure out what is the best way (and if it exists) to link a message of a commit to another commit.
I start by saying I don't know Git very well so maybe this question can be very trival for someone but I've googled and searched into the Mailing List with little success.

The goal would be to be able to refer to a specific commit (or a set of it) through its Hash in order to justify some actions done in a commit, mantaining the message compact.

Obviously I don't mean to put the raw Hash, rather I would be happy to find a way to automatize the visits and the insertions of the commits inside the message.

What I mean is  what Gitweb do, naturally adapted for the use of Git through shell.

For example, thinking about it, I've imagined to add this feature to `git commit`:

    git commit --see-also <commit1> <commit2> ...

that adds a label (like "Signed-off-by") such as:

    See-also:
        1: <commit 1>
        2: <commit 2>
        ...

And, to other side, `git show` could have a feature like this:

    git show <commit> --see-also 1

that simply call `git show <commit-1>`.

So, there is a better way to obtain a behaviour like this?
Has ever been discussed the possibility of implementing a similar feature? and There is a way to handle a similar behaviour through Hooks?

Thanks to all,
NaN